Bug 1119081 - Review Request: ocaml-camlp4 - Pre-Processor-Pretty-Printer for OCaml
Summary: Review Request: ocaml-camlp4 - Pre-Processor-Pretty-Printer for OCaml
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1119049
Blocks: 1451303
TreeView+ depends on / blocked
 
Reported: 2014-07-13 21:01 UTC by Richard W.M. Jones
Modified: 2017-09-18 08:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-19 12:34:04 UTC
michel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Richard W.M. Jones 2014-07-13 21:01:10 UTC
Spec URL: http://oirase.annexia.org/reviews/camlp4/ocaml-camlp4.spec
SRPM URL: http://oirase.annexia.org/reviews/camlp4/ocaml-camlp4-4.02.0-0.1.git87c6a6b0.fc20.src.rpm
Description:

camlp4 is a pre-processor and pretty printed for OCaml.

Prior to OCaml 4.02 it was part of the compiler, and indeed it
has been included in Fedora for aeons.  However it has now moved
into a separate upstream project (albeit run by exactly the same
people) so it seems better to have a separate Fedora package as
well.

NOTES:

- There are no tarballs yet, but it is expected there will be
  upstream releases when OCaml 4.02.0 is out of beta.

- You will only be able to build this against OCaml 4.02 from Rawhide.
  It is not buildable against earlier versions of OCaml.

Fedora Account System Username: rjones

Comment 1 Richard W.M. Jones 2014-07-13 21:04:21 UTC
rpmlint output with my comments inline:

ocaml-camlp4.src: W: spelling-error Summary(en_US) Pre -> Pr, Re, Pres
ocaml-camlp4.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
ocaml-camlp4.src:53: W: configure-without-libdir-spec

This package has a hand-written ./configure which is not compatible
with the %configure macro.

ocaml-camlp4.x86_64: W: spelling-error Summary(en_US) Pre -> Pr, Re, Pres
ocaml-camlp4.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
ocaml-camlp4.x86_64: W: incoherent-version-in-changelog 4.02.0-0.1 ['4.02.0-0.1.git87c6a6b0.fc20', '4.02.0-0.1.git87c6a6b0']
ocaml-camlp4.x86_64: E: no-binary

Although the ocaml-camlp4 package contains only bytecode, we have found
that OCaml bytecode is not portable between architectures, so this package
should not be noarch.

ocaml-camlp4-devel.x86_64: W: spelling-error Summary(en_US) Pre -> Pr, Re, Pres
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4o.opt
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4orf.opt
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4of.opt
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4of
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4r.opt
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4rf.opt
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4prof
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4oof.opt
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4boot
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4orf
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4oof
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4rf
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4r
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary mkcamlp4
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4o

Correct, there are no man pages for these binaries upstream.
They would be extremely complicated to document.

Comment 2 Richard W.M. Jones 2014-07-13 21:12:24 UTC
Bug 1119049 affects the armv7hl build of this package.

Comment 3 Michel Alexandre Salim 2014-07-14 08:04:47 UTC
Taking this bug (what do you want done if this review passes but 1119049 is not resolved yet? Does the workaround you mentioned there work for this too?)

Comment 4 Richard W.M. Jones 2014-07-14 08:38:05 UTC
I hope we can review it anyway.  It won't build on ARM, but
we can either ExcludeArch arm or (more hopefully) fix the bug
in the meantime.

Comment 5 Richard W.M. Jones 2014-07-15 14:53:18 UTC
ARM builds now work.  There is a Koji scratch build here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=7143902

Comment 6 Michel Alexandre Salim 2014-07-16 04:56:25 UTC
Reviewing now; while I'm at it, the license field should probably be changed to just LGPLv2 ? 

Here are the commit logs for that file on Github:

https://github.com/ocaml/camlp4/commits/trunk/LICENSE

Comment 7 Michel Alexandre Salim 2014-07-16 05:17:46 UTC
Apart from the license, there are a couple more issues:

- duplicate ocaml(runtime) and ocaml-runtime in Requires: -- the manually added requirement is probably unnecessary?
- devel dependency on main package not subversioned with architecture
- no %check
- upstream's build/install.sh script does not preserve timestamps


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 266 files have unknown license. Detailed output
     of licensecheck in /home/michel/sources/fedora/reviews/1119081-ocaml-
     camlp4/licensecheck.txt

     should be just LGPLv2, see
     https://github.com/ocaml/camlp4/commits/trunk/LICENSE

[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
     Do you need to manually require ocaml-runtime = %{version} ? Seems to be redundant:
$ rpm -qp --requires results/ocaml-camlp4-4.02.0-0.1.git87c6a6b0.fc22.x86_64.rpm | grep runtime
ocaml(runtime) = 4.02.0
ocaml-runtime = 4.02.0
     
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ocaml:
[x]: This should never happen

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
     known not to work, that's fine
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
     see note though about the duplicate runtime requires
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ocaml-
     camlp4-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
     the build/install.sh used does not seem to do this
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ocaml-camlp4-4.02.0-0.1.git87c6a6b0.fc22.x86_64.rpm
          ocaml-camlp4-devel-4.02.0-0.1.git87c6a6b0.fc22.x86_64.rpm
          ocaml-camlp4-4.02.0-0.1.git87c6a6b0.fc22.src.rpm
ocaml-camlp4.x86_64: W: spelling-error Summary(en_US) Pre -> Pr, Re, Pres
ocaml-camlp4.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
ocaml-camlp4.x86_64: W: incoherent-version-in-changelog 4.02.0-0.1 ['4.02.0-0.1.git87c6a6b0.fc22', '4.02.0-0.1.git87c6a6b0']
ocaml-camlp4.x86_64: E: no-binary
ocaml-camlp4.x86_64: W: only-non-binary-in-usr-lib
ocaml-camlp4-devel.x86_64: W: spelling-error Summary(en_US) Pre -> Pr, Re, Pres
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4o.opt
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4orf.opt
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4of.opt
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4of
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4r.opt
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4rf.opt
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4prof
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4oof.opt
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4boot
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4orf
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4oof
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4rf
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4r
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary mkcamlp4
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4o
ocaml-camlp4.src: W: spelling-error Summary(en_US) Pre -> Pr, Re, Pres
ocaml-camlp4.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
ocaml-camlp4.src:53: W: configure-without-libdir-spec
3 packages and 0 specfiles checked; 1 errors, 24 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ocaml-camlp4 ocaml-camlp4-devel
ocaml-camlp4.x86_64: W: spelling-error Summary(en_US) Pre -> Pr, Re, Pres
ocaml-camlp4.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
ocaml-camlp4.x86_64: W: incoherent-version-in-changelog 4.02.0-0.1 ['4.02.0-0.1.git87c6a6b0.fc22', '4.02.0-0.1.git87c6a6b0']
ocaml-camlp4.x86_64: E: no-binary
ocaml-camlp4.x86_64: W: only-non-binary-in-usr-lib
ocaml-camlp4-devel.x86_64: W: spelling-error Summary(en_US) Pre -> Pr, Re, Pres
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4o.opt
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4orf.opt
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4of.opt
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4of
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4r.opt
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4rf.opt
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4prof
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4oof.opt
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4boot
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4orf
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4oof
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4rf
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4r
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary mkcamlp4
ocaml-camlp4-devel.x86_64: W: no-manual-page-for-binary camlp4o
2 packages and 0 specfiles checked; 1 errors, 21 warnings.
# echo 'rpmlint-done:'



Requires
--------
ocaml-camlp4 (rpmlib, GLIBC filtered):
    ocaml(Arg)
    ocaml(Array)
    ocaml(Buffer)
    ocaml(Bytes)
    ocaml(CamlinternalFormatBasics)
    ocaml(CamlinternalLazy)
    ocaml(CamlinternalOO)
    ocaml(Camlp4)
    ocaml(Camlp4OCamlParser)
    ocaml(Camlp4OCamlRevisedParser)
    ocaml(Camlp4OCamlRevisedParserParser)
    ocaml(Camlp4QuotationCommon)
    ocaml(Camlp4_config)
    ocaml(Char)
    ocaml(Consistbl)
    ocaml(Digest)
    ocaml(Dynlink)
    ocaml(Env)
    ocaml(Filename)
    ocaml(Format)
    ocaml(Hashtbl)
    ocaml(Ident)
    ocaml(Int32)
    ocaml(Int64)
    ocaml(Lazy)
    ocaml(Lexing)
    ocaml(List)
    ocaml(Location)
    ocaml(Longident)
    ocaml(Map)
    ocaml(Marshal)
    ocaml(Nativeint)
    ocaml(Obj)
    ocaml(Path)
    ocaml(Pervasives)
    ocaml(Primitive)
    ocaml(Printexc)
    ocaml(Printf)
    ocaml(Queue)
    ocaml(Scanf)
    ocaml(Set)
    ocaml(Sort)
    ocaml(Stack)
    ocaml(Stream)
    ocaml(String)
    ocaml(Subst)
    ocaml(Sys)
    ocaml(Topdirs)
    ocaml(Toploop)
    ocaml(Types)
    ocaml(Unix)
    ocaml(Warnings)
    ocaml(runtime)
    ocaml-runtime

ocaml-camlp4-devel (rpmlib, GLIBC filtered):
    /usr/bin/ocamlrun
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libm.so.6()(64bit)
    ocaml-camlp4
    rtld(GNU_HASH)



Provides
--------
ocaml-camlp4:
    ocaml(Camlp4)
    ocaml(Camlp4AstDumper)
    ocaml(Camlp4AstLifter)
    ocaml(Camlp4AstLoader)
    ocaml(Camlp4AutoPrinter)
    ocaml(Camlp4Bin)
    ocaml(Camlp4DebugParser)
    ocaml(Camlp4ExceptionTracer)
    ocaml(Camlp4FoldGenerator)
    ocaml(Camlp4GrammarParser)
    ocaml(Camlp4ListComprehension)
    ocaml(Camlp4LocationStripper)
    ocaml(Camlp4MacroParser)
    ocaml(Camlp4MapGenerator)
    ocaml(Camlp4MetaGenerator)
    ocaml(Camlp4NullDumper)
    ocaml(Camlp4OCamlAstDumper)
    ocaml(Camlp4OCamlOriginalQuotationExpander)
    ocaml(Camlp4OCamlParser)
    ocaml(Camlp4OCamlParserParser)
    ocaml(Camlp4OCamlPrinter)
    ocaml(Camlp4OCamlReloadedParser)
    ocaml(Camlp4OCamlRevisedParser)
    ocaml(Camlp4OCamlRevisedParserParser)
    ocaml(Camlp4OCamlRevisedPrinter)
    ocaml(Camlp4OCamlRevisedQuotationExpander)
    ocaml(Camlp4Profiler)
    ocaml(Camlp4QuotationCommon)
    ocaml(Camlp4QuotationExpander)
    ocaml(Camlp4Top)
    ocaml(Camlp4TrashRemover)
    ocaml(Camlp4_config)
    ocaml(Camlp4_import)
    ocaml(Camlp4prof)
    ocaml(Rprint)
    ocaml(Top)
    ocaml-camlp4
    ocaml-camlp4(x86-64)

ocaml-camlp4-devel:
    ocaml-camlp4-devel
    ocaml-camlp4-devel(x86-64)



Source checksums
----------------
https://github.com/ocaml/camlp4/archive/87c6a6b07818acbbef6ced00cc8f4e09b533e055/camlp4-87c6a6b07818acbbef6ced00cc8f4e09b533e055.tar.gz :
  CHECKSUM(SHA256) this package     : e3726b9f28d08f4791b67fc24da890d281237231d751d8b201a33fc48a8da844
  CHECKSUM(SHA256) upstream package : e3726b9f28d08f4791b67fc24da890d281237231d751d8b201a33fc48a8da844


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/bin/fedora-review -b 1119081 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Ocaml, C/C++
Disabled plugins: Java, Python, SugarActivity, fonts, Haskell, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 8 Richard W.M. Jones 2014-07-16 10:50:55 UTC
(In reply to Michel Alexandre Salim from comment #6)
> Reviewing now; while I'm at it, the license field should probably be changed
> to just LGPLv2 ? 
> 
> Here are the commit logs for that file on Github:
> 
> https://github.com/ocaml/camlp4/commits/trunk/LICENSE

It's "LGPLv2 with exceptions".  Fixed in the upcoming version.

(In reply to Michel Alexandre Salim from comment #7)
> - duplicate ocaml(runtime) and ocaml-runtime in Requires: -- the manually
> added requirement is probably unnecessary?

This is a bit tricky.  We need to make sure that it is only installed
with the same version of OCaml (camlp4 depends on the abstract syntax
tree of a particular version of OCaml).

I added the explicit Requires ocaml-runtime to ensure this.

The dependency generator is adding the ocaml(runtime) dependency, which
hopefully duplicates my explicit dependency.  If it's wrong, what will
happen is the package will be uninstallable -- which is desirable in this case
since it would indicate the package was force-built with the wrong
version of OCaml and is thus likely to be broken.

> - devel dependency on main package not subversioned with architecture

Multilib is broken with OCaml so you should only install pure 64 bit
OCaml packages.  Anyway I have added %{?_isa} in the upcoming version.

> - no %check

There are no upstream tests as far as I can see.

> - upstream's build/install.sh script does not preserve timestamps

I will let them know, but I guess they won't care.

Thanks for the review.

Comment 10 Richard W.M. Jones 2014-07-17 16:35:03 UTC
Hi Michel, did you have a chance to look at the updated spec file?
It ought to fix everything that is possible to fix.

Unfortunately this bug blocks many OCaml package rebuilds in Rawhide.

Comment 11 Michel Alexandre Salim 2014-07-18 03:29:31 UTC
Hi Richard,

Yep, changes are fine. Was stuck in traffic for much of last night, sorry for the delay.

Package is APPROVED

Comment 12 Richard W.M. Jones 2014-07-18 09:40:55 UTC
New Package SCM Request
=======================
Package Name: ocaml-camlp4
Short Description: Pre-Processor-Pretty-Printer for OCaml
Upstream URL: https://github.com/ocaml/camlp4
Owners: rjones
Branches: 
InitialCC:

Comment 13 Gwyn Ciesla 2014-07-18 12:44:28 UTC
Git done (by process-git-requests).

Comment 14 Richard W.M. Jones 2014-07-19 10:15:04 UTC
I can't upload the sources at the moment ...

$ fedpkg -v new-sources camlp4-87c6a6b07818acbbef6ced00cc8f4e09b533e055.tar.gz 
Uploading: dc6e69fd7a66639fe1d1393c87ada6fa  camlp4-87c6a6b07818acbbef6ced00cc8f4e09b533e055.tar.gz
INFO:rpkg:Uploading: dc6e69fd7a66639fe1d1393c87ada6fa  camlp4-87c6a6b07818acbbef6ced00cc8f4e09b533e055.tar.gz
Creating repo object from /home/rjones/d/fedora/ocaml-camlp4/master
DEBUG:rpkg:Creating repo object from /home/rjones/d/fedora/ocaml-camlp4/master
Not in a repo, don't care about remotes
DEBUG:rpkg:Not in a repo, don't care about remotes
Exception AttributeError: '_read_only' in <bound method write.__del__ of <git.config.write object at 0x1ab6d70>> ignored
Could not read /home/rjones/.koji/config for config values
DEBUG:rpkg:Could not read /home/rjones/.koji/config for config values
Initiating a koji session to http://koji.fedoraproject.org/kojihub
DEBUG:rpkg:Initiating a koji session to http://koji.fedoraproject.org/kojihub
Could not read /home/rjones/.koji/config for config values
DEBUG:rpkg:Could not read /home/rjones/.koji/config for config values
Initiating a koji session to http://koji.fedoraproject.org/kojihub
DEBUG:rpkg:Initiating a koji session to http://koji.fedoraproject.org/kojihub
Could not read /home/rjones/.koji/config for config values
DEBUG:rpkg:Could not read /home/rjones/.koji/config for config values
Initiating a koji session to http://koji.fedoraproject.org/kojihub
DEBUG:rpkg:Initiating a koji session to http://koji.fedoraproject.org/kojihub
^CCould not read /home/rjones/.koji/config for config values
DEBUG:rpkg:Could not read /home/rjones/.koji/config for config values
Initiating a koji session to http://koji.fedoraproject.org/kojihub
DEBUG:rpkg:Initiating a koji session to http://koji.fedoraproject.org/kojihub
Could not read /home/rjones/.koji/config for config values
(last messages repeated ad infinitum)

Comment 15 Richard W.M. Jones 2014-07-19 12:34:04 UTC
All built:

http://koji.fedoraproject.org/koji/taskinfo?taskID=7166497


Note You need to log in before you can comment on or make changes to this bug.